$bg-gray: #f7f7f7;
$main-yellow:#f3b722;
$active-breadcum:#f6a5c1;
$main-color: #e91e63;
$main-color-pink :brightness(0.5) sepia(1.5) hue-rotate(-70deg) saturate(5);
$content-color : #CA6971;
$content-color-default : #969696;
$text-color : #25292C;
$text-color-breadcum : #fff;
$nunito-font : 'Nunito', sans-serif;
$roboto-font : 'Roboto', sans-serif;
$opensans-font : 'Open Sans', sans-serif;
$header-font : 'Montserrat', sans-serif;
$main-font : 'Montserrat', sans-serif;
$content-font : 'Montserrat', sans-serif;
$lato-font : 'Lato', sans-serif;
.block-header {
  border-bottom: solid 1px #eeeef1;
  background-color: white;
  .header-main {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 25px 0;
    transition: all 0.23s;
    .logo {
      margin-right: auto;
      img {
        max-width: 100%;
        @media (max-width: 991px) {
          max-width: 65px;
        }
      }
    }
    #block-action-header {
      display: inline-flex;
      align-items: center;
      i {
        line-height: 20px;
        margin-right: 7px;
        font-size: 18px;
      }
      .text-color {
        margin: 0 5px;
        font-weight: 500;
        font-size: 14px;
        color: #333333;
      }
      .user-action {
        display: flex;
        // display: none;
        .ttl-user {
          margin-right: 15px;
          padding-right: 15px;
          margin-bottom: 0;
          font-size: 14px;
          color: #adadad;
          border-right: 1px solid #eee;
          span {
            display: block;
            font-size: 16px;
            margin-bottom: 3px;
            color: #333333;
          }
          a {
            font-size: 14px;
            color: #333333;
            transition: all 0.3s;
            &:hover {
              transition: all 0.3s;
              color: $main-color;
              text-decoration: none;
            }
          }
        }
        .dropdown {
          .title-wc {
            display: block;
            font-size: 12px;
            color: #333333;
            font-weight: 500;
            margin-bottom: -5px;
          }
          .dropdown-toggle {
            font-family: $header-font;
            color: #333333;
            font-size: 14px;
            font-weight: 600;
            transition: all 0.3s;
            &:hover {
              color: $main-color;
              transition: all 0.3s;
            }
            outline: none;
            box-shadow: none;
            background-color: transparent;
            border: none;
            padding: 0;
            &:after {
              margin-left: 3px;
            }
          }
          .dropdown-menu {
            left: auto !important;
            top: 28px !important;
            right: 0 !important;
            border: none;
            background-color: white;
            -webkit-box-shadow: 0px 0px 33px -3px rgba(161, 161, 161, 1);
            -moz-box-shadow: 0px 0px 33px -3px rgba(161, 161, 161, 1);
            box-shadow: 0px 0px 33px -3px rgba(161, 161, 161, 1);
            &::before {
              content: "";
              width: 20px;
              height: 20px;
              border-bottom: 10px solid white;
              border-right: 10px solid transparent;
              border-top: 0;
              border-left: 10px solid transparent;
              position: absolute;
              top: 0;
              right: 20px;
              transform: translateY(-99%);
            }
            .dropdown-item {
              display: inline-flex;
              align-items: center;
              width: 100%;
              color: $text-color;
              font-family: $header-font;
              font-style: normal;
              font-weight: 300;
              font-size: 14px;
              line-height: normal;
              padding: 0.25rem 13px;
              svg {
                margin-right: 13px;
                margin-top: 4px;
              }
              &:hover {
                .icon1 {
                  path {
                    fill: $content-color;
                    transition: all 0.2;
                  }
                }
                .icon2 {
                  path {
                    stroke: $content-color;
                    transition: all 0.2;
                  }
                }
                background-color: white;
                color: $content-color;
                transition: all 0.2s;
              }
            }
          }
        }
      }
      span {
        color: #adadad;
        font-size: 14px;
      }
      .link-custom {
        color: $text-color;
        font-weight: 600;
      }
      .cart {
        position: relative;
        margin-left: 35px;
        margin-right: 25px;
        .count-product {
          position: absolute;
          top: -5px;
          right: 3px;
          width: 16px;
          height: 16px;
          border-radius: 50%;
          background-color: $main-color;
          font-family: $header-font;
          font-size: 13px;
          line-height: 16px;
          text-align: center;
          color: white;
        }
      }
      @media (max-width: 480px) {
        i {
          font-size: 14px;
        }
        .text-color {
          font-size: 12px;
        }
      }
      @media (max-width: 320px) {
        span {
          font-size: 12px;
        }
        .text-color {
          font-size: 12px;
        }
      }
    }
    .block-header-search {
      margin-left: 25px;
      position: relative;
      z-index: 12;
      .form-group {
        margin: 0;
        position: relative;
        height: 30px;
        width: 100%;
        .btn-search {
          position: absolute;
          top: 0;
          right: 0;
          bottom: 0;
          padding: 0;
          outline: none;
          box-shadow: none;
          background-color: transparent;
          border: none;
          display: flex;
          align-items: center;
          color: $text-color;
        }
        .form-control {
          position: absolute;
          top: 0;
          right: 0;
          bottom: 0;
          padding: 0;
          border: solid 1px transparent;
          outline: none;
          box-shadow: none;
          background-color: transparent;
          height: 30px;
          padding-right: 40px;
          background: white;
          color: $text-color;
          box-sizing: border-box;
          border-radius: 0;
          width: 0;
          transition: all 0.23s;
          &::placeholder {
            color: $text-color;
            font-family: $header-font;
            font-style: normal;
            font-weight: normal;
            font-size: 13px;
            line-height: normal;
          }
        }
        &:hover {
          .form-control {
            padding: 0.375rem 0.75rem;
            min-width: 180px;
            width: 100%;
            border-color: $bg-gray;
            transition: all 0.23s;
          }
        }
      }
    }
    .open-sidemenu {
      margin-left: 15px;
      cursor: pointer;
      .icon-bar {
        width: 25px;
        height: 2px;
        background-color: $text-color;
        margin: 5px 0;
      }
    }
    @media (max-width: 991px) {
      padding: 20px 0;
    }
  }
}
.sticky-menu {
  // background: #fff !important;
  .header-main {
    padding: 5px 0 !important;
    transition: all 0.25s;
    .logo {
      img {
        max-height: 40px !important;
      }
    }
  }
}
.open-sidemenu {
  display: block;
}

.block-overlay {
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  background-color: transparent;
  transition: all 0.2s;
}
.over {
  width: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 1025;
  transition: all 0.2s;
}
.block-header-menu {
  .block-header-logo {
    margin-right: auto;
    padding: 10px 0;
    img {
      max-height: 30px !important;
    }
  }
}
#sidenav {
  background-color: red;
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  width: 200px;
  padding: 100px 0;
  background: url("../images/logo.png") white;
  background-size: 50%;
  background-position: center 20px;
  background-repeat: no-repeat;
  z-index: 1030;
  transform: translateX(-100%);
  transition: all 0.25s;
  ul {
    margin: 0;
    padding: 0;
    list-style: none;
    li {
      position: relative;
      a {
        display: block;
        padding: 5px 10px;
        text-decoration: none;
        font-family: $header-font;
        color: $text-color;
        font-size: 15px;
        box-shadow: inset 0px 1px 0px #eeeeee;
        transition: all 0.25s;
        &:hover {
          color: $main-color;
          transition: all 0.25s;
        }
      }
      svg {
        position: absolute;
        top: 0;
        right: 10px;
        width: 10px;
        height: 33px;
        cursor: pointer;
        z-index: 1040;
        transition: all 0.25s;
        path {
          fill: $text-color;
        }
      }
      .rotate {
        transform: rotate(180deg);
        transition: all 0.25s;
      }
      .sub-menu {
        width: 100%;
        font-size: 14px;
        padding-left: 10px;
        display: none;
        overflow: hidden;
        transition: max-height 0.2s ease-out;
        li {
          a {
            box-shadow: none;
            font-size: 13px;
          }
        }
        ul {
          display: none;
          overflow: hidden;
          transition: max-height 0.2s ease-out;
          padding-left: 10px;
          li {
            a {
              font-size: 12px;
            }
          }
        }
      }
      &:first-child {
        a {
          box-shadow: none;
        }
      }
    }
  }
}
.menu-mobile {
  transform: translateX(0) !important;
  transition: all 0.25s;
}
// #block-slideshow {
//     margin-bottom: 30px;
//     margin-top: 75px;
//     @media only screen and (max-width: 992px) {
//         margin-top: 15px;
//     }
//     .item {
//         position: relative;
//         .title-slider {
//             position: absolute;
//             left: 50%;
//             transform: translateX(-50%);
//             top: 10%;
//             text-align: center;
//             @media only screen and (max-width: 992px) {
//                 display: none;
//             }
//             .ttl {
//                 font-weight: 500;
//                 font-size: 48px;
//                 line-height: 59px;
//                 text-align: center;
//                 color: $content-color;
//                 margin-bottom: 38px;
//                 @media only screen and (max-width: 1300px) {
//                     font-size: 30px;
//                     margin-bottom: 20px;
//                     line-height: 1.3;
//                 }
//             }
//             .desc {
//                 font-weight: normal;
//                 font-size: 14px;
//                 line-height: 17px;
//                 color: $content-color;
//                 margin-bottom: 41px;
//                 @media only screen and (max-width: 1300px) {
//                     font-size: 13px;
//                     margin-bottom: 20px;
//                 }
//             }
//             a {
//                 font-weight: 500;
//                 font-size: 14px;
//                 line-height: 16px;
//                 display: inline-block;
//                 text-transform: uppercase;
//                 color: #FFFFFF;
//                 background: $main-color;
//                 border-radius: 2px;
//                 height: 48px;
//                 min-width: 171px;
//                 line-height: 48px;
//                 text-decoration: none;
//                 border: 1px solid transparent;
//                 transition: all 0.3s;
//                 &:hover {
//                     transition: all 0.3s;
//                     border: 1px solid $main-color;
//                     background: #fff;
//                     color: $main-color;
//                 }
//                 @media only screen and (max-width: 1300px) {
//                     height: 40px;
//                     line-height: 40px;
//                     font-size: 13px;
//                 }
//             }
//         }
//     }
//     .owl-prev,
//     .owl-next {
//         width: 36px;
//         height: 36px;
//         border-radius: 50%;
//         background: $bg-gray !important;
//         position: absolute;
//         top: 50%;
//         left: -52px;
//         transform: translateY(-50%);
//         @media only screen and (max-width: 1300px) {
//             left: 20px;
//         }
//         span {
//             font-size: 25px !important;
//             line-height: 24px !important;
//         }
//     }
//     .owl-next {
//         left: auto;
//         right: -52px;
//         @media only screen and (max-width: 1300px) {
//             right: 20px;
//         }
//     }
//     .owl-dots {
//         position: absolute;
//         left: 50%;
//         transform: translateX(-50%);
//         bottom: 22px;
//         @media only screen and (max-width: 992px) {
//             bottom: 10px;
//         }
//         .owl-dot {
//             margin: 0 5px;
//             span {
//                 width: 12px;
//                 height: 12px;
//                 background: #949494;
//                 z-index: 999;
//                 display: block;
//                 border-radius: 50%;
//                 @media only screen and (max-width: 992px) {
//                     width: 8px;
//                     height: 8px;
//                 }
//             }
//             &.active {
//                 span {
//                     background: $main-color;
//                     width: 16px;
//                     height: 16px;
//                     position: relative;
//                     top: 2px;
//                     @media only screen and (max-width: 992px) {
//                         width: 10px;
//                         height: 10px;
//                     }
//                 }
//             }
//         }
//     }
// }

.List-banner {
  margin-bottom: 60px;
  @media only screen and (max-width: 768px) {
    margin-bottom: 20px;
  }
  a {
    transition: all 0.3s;
    display: block;
    @media only screen and (max-width: 768px) {
      margin-bottom: 20px;
    }
    &:hover {
      transition: all 0.3s;
      opacity: 0.7;
    }
    img {
      width: 100%;
    }
  }
  &.List-banner-02 {
    margin-bottom: 47px;
    @media only screen and (max-width: 768px) {
      margin-bottom: 20px;
    }
  }
}

// content-product
.content-product {
  position: relative;
  .row {
    padding-bottom: 10px;
    @media only screen and (max-width: 480px) {
      .col-6.col-md-6.col-lg-4.col-xl-3 {
        width: 100%;
        flex: 100%;
        max-width: 100%;
      }
    }
  }
  .owl-dots {
    display: none;
  }
  .owl-nav {
    position: absolute;
    top: -50px;
    right: -10px;
    @media only screen and (max-width: 768px) {
      top: -45px;
    }
    .owl-prev {
      border-right: 1px solid #949494 !important;
    }
    .owl-prev,
    .owl-next {
      span {
        font-size: 25px;
        width: 30px;
        display: block;
        height: 27px;
        line-height: 25px;
      }
    }
  }
  &.content-product-02 {
    background: $bg-gray;
    padding: 64px 0 24px;
  }
  &.content-product-03 {
    padding: 64px 0 24px;
  }
}

// content-blog
.block-blog {
  padding-top: 65px;
  padding-bottom: 50px;
  // background-color: white;
  .block-head {
    margin-bottom: 60px;
    h3 {
      text-align: center;
      font-size: 24px;
      margin: 0;
      text-transform: uppercase;
      color: $text-color;
    }
  }
  .blog-ctn {
    flex-direction: row;
    display: grid;
    grid-template-columns: calc(100% / 3 - 15px) calc(100% / 3 - 15px) calc(
        100% / 3 - 15px
      );
    justify-content: space-between;
    .blog-item {
      display: block;
      grid-gap: 20px;
      grid-template-columns: calc(50% - 10px) calc(50% - 10px);
      align-items: center;
      margin-bottom: 30px;
      .thumb {
        a.pd-img {
          display: flex;
          align-items: center;
          justify-content: center;
          overflow: hidden;
          margin-bottom: 10px;
          height: 218px;
          img {
            max-height: 100%;
            max-width: 100%;
          }
          @media (max-width: 480px) {
            height: auto;
          }
        }
      }
      .content {
        .new-title {
          margin-bottom: 5px;
          a {
            display: block;
            height: 30px;
            overflow: hidden;
            text-overflow: ellipsis;
            font-family: "Open Sans", sans-serif;
            font-style: normal;
            font-weight: 600;
            font-size: 16px;
            line-height: 26px;
            letter-spacing: 0.02em;
            color: $main-color;
            text-decoration: none;
            transition: all 0.25s;
            &:hover {
              color: $main-color;
              transition: all 0.25s;
            }
          }
        }
        .author-view {
          display: flex;
          justify-content: space-between;
          margin: 20px 0 0;
          .view,
          .meta {
            font-family: "Open Sans", sans-serif;
            font-style: normal;
            font-weight: normal;
            font-size: 14px;
            line-height: 17px;
            letter-spacing: 0.02em;
            color: $content-color-default;
            a {
              text-decoration: none;
              color: $content-color-default;
              transition: all 0.25s;
              &:hover {
                color: $main-color;
                transition: all 0.25s;
              }
            }
          }
        }
        .view {
          margin-bottom: 15px;
        }
        .new-desc {
          font-family: "Open Sans", sans-serif;
          font-style: normal;
          font-weight: normal;
          font-size: 14px;
          line-height: 23px;
          letter-spacing: 0.01em;
          margin-bottom: 15px;
          color: $text-color;

          p {
            margin: 0;
          }
        }
        .view-more {
          a {
            text-decoration: none;
            color: $main-color;
            font-family: $header-font;
            font-style: normal;
            font-weight: 500;
            font-size: 14px;
            line-height: 23px;
            letter-spacing: 0.02em;
            text-transform: uppercase;
            transition: all 0.25s;
            &:hover {
              text-decoration: underline;
              transition: all 0.25s;
            }
          }
        }
      }
    }
    @media (max-width: 520px) {
      grid-template-columns: 100%;
    }
  }
}

.block-partner {
  padding: 20px 0;
  box-shadow: inset 0px -1px 0px #eeeeee, inset 0px 1px 0px #eeeeee;
}
.custom-selectag {
  position: relative;
  font-family: $header-font;
  select {
    display: none;
  }
  .select-selected {
    padding: 10px 47px 10px 16px !important;
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
    line-height: 17px;
    background-color: #e9e9e9;
    border-radius: 999px;
    &:after {
      position: absolute;
      content: url("../images/Frame.png");
      top: 10px;
      right: 30px;
      width: 0;
      height: 0;
      font-family: FontAwesome;
      color: black;
    }
  }
  // .select-selected.select-arrow-active:after {
  //     content: "\f106";
  // }
  .select-items div,
  .select-selected {
    color: $text-color;
    font-size: 14px;
    padding: 3px 16px;
    border-color: transparent transparent rgba(0, 0, 0, 0.1) transparent;
    cursor: pointer;
    user-select: none;
    white-space: nowrap;
  }
  .select-items {
    position: absolute;
    background: #f6f6f6;
    box-shadow: 0px 2px 12px rgba(0, 0, 0, 0.30432);
    border-radius: 7px;
    padding: 8px 0;
    top: 115%;
    min-width: 150px;
    left: auto;
    right: 0;
    z-index: 99;
  }
  .select-hide {
    display: none;
  }

  .select-items div:hover,
  .same-as-selected {
    color: $main-color;
  }
}
// product item
.product-box{
  position: relative;
  // padding: 12px 18px;
  transition: all 0.23s;
  margin-bottom: 30px;
  .hot-wrap{
      position: absolute;
      top: 15px;
      left: 15px;
      display: inline-flex;
      z-index: 2;
      .status-item{
          font-family: 'Roboto', sans-serif;
          font-style: normal;
          font-weight: normal;
          font-size: 14px;
          line-height: normal;
          letter-spacing: 0.05em;
          text-transform: capitalize;
          color: white;
          padding: 4px 8px;
          // background: #969696;
          // border-radius: 99999px;
          margin-right: 8px;
          
      }
      .flash-hot{
          font-family: 'Roboto', sans-serif;
          font-style: normal;
          font-weight: bold;
          font-size: 14px;
          line-height: normal;
          letter-spacing: 0.05em;
          text-transform: uppercase;
          color: $main-color;
          padding: 4px 8px;
          // background: #969696;
          // border-radius: 99999px;
          margin-right: 8px;
      }
  }
  .thumb{
      position: relative;
      a.pd-img{
          display: flex;
          align-items: center;
          justify-content: center;
          overflow: hidden;
          margin-bottom: 10px;
          height: 323px;
          img{
              max-height: 100%;
              max-width: 100%;
          }
          @media (max-width: 480px) {
              height: auto;
          }
      }
      
      .btn-wish{
          position: absolute;
          top: 5px;
          right: 0;
          width: 36px;
          height: 36px;
          border: solid 1px #eeeef1;
          display: flex;
          align-items: center;
          justify-content: center;
          outline: none;
          box-shadow: none;
          padding: 0;
          visibility: hidden;
          opacity: 0;
      }
      .active{
          svg{
              path{
                  // stroke: $main-color;
                  fill:$main-color;
              }
          }
          border-color: $main-color;
      }
      .action{
          text-align: center;
          position: absolute;
          top: 50%;
          left: 50%;
          transform: translate(-50%, -50%);
          visibility: hidden;
          opacity: 0;
          .btn{
              white-space: nowrap;
              outline: none;
              box-shadow: none;
              border: none;
              height: 36px;
              display: inline-flex;
              align-items: center;
              justify-content: center;
              color: white;
              font-size: 14px;
              font-weight: 500;
              font-family: 'Roboto', sans-serif;
              margin-bottom: 5px;
              width: 100%;
          }
          .btn-viewmore{
              a{
                  color: white;
                  font-family: 'Roboto', sans-serif;
              }
              
          }
          .btn-addcart{
              background-color: white;
              color: $text-color;
              i{
                  margin-right: 5px;
              }
              
              span{
                  border-left: 1px solid #ccc;
                  padding: 0 5px;
                  margin-left: 5px;
                  color: $main-color;
                  a{
                      padding: 0;
                      top: 0px;
                      bottom: 22px;
                      margin: auto;
                      width: 25px;
                      position: relative;
                      height: 25px;
                      svg{ 
                          position: relative;
                          // width: 35px;
                          padding: 0;
                          border-color: $main-color;
                      }
                  }
              }
          }
      }
  }
  .product-content{
      padding: 20px 15px 15px 15px;
      // text-align: center;
      .name{
          a{
              display: block;
              line-height: 25px;
              height: 50px;
              overflow: hidden;
              text-overflow: ellipsis;

              text-decoration: none;
              font-style: normal;
              font-weight: normal;
              font-size: 16px;
              line-height: 25px;
              text-transform: capitalize;
              color: $text-color;
              transition: all 0.25s;
              &:hover{
                  color: $main-color;
                  transition: all 0.25s;
              }
          }
      }
      .rating{
          // margin-bottom: 15px;
      }
      
      .price-new{
          font-style: normal;
          font-weight: normal;
          font-size: 16px;
          line-height: normal;
          // text-transform: uppercase;
          margin-bottom: 8px;
      }
      .price-old{
          font-style: normal;
          font-weight: normal;
          font-size: 12px;
          line-height: normal;
          // text-transform: uppercase;
          color: #969696;
          text-decoration: line-through;
          margin-bottom: 8px;
      }
      .action{
          .btn-addcart{
              margin-top: 15px;
              background: #E9E9E9;
              border-radius: 18px;
              // font-family: $header-font;
              font-style: normal;
              font-weight: 600;
              font-size: 14px;
              line-height: normal;
              text-transform: uppercase;
              padding: 7px 15px;
              outline: none;
              box-shadow: none;
              border: none;
              transition: all 0.25s;
              &:hover{
                  background-color: $main-color;
                  color: white;
                  transition: all 0.25s;
              }
          }
      }
      .price-ctn{
          display: block;
          div{
              margin-right: 5px;
              display: inline-block;
          }
      }
  }
  &:hover{
      -webkit-box-shadow: 0px 0px 15px 0px rgba(236,236,236,1);
      -moz-box-shadow: 0px 0px 15px 0px rgba(236,236,236,1);
      box-shadow: 0px 0px 15px 0px rgba(236,236,236,1);
      transition: all 0.23s;
      .thumb{
          .btn-wish{
              opacity: 1;
              visibility: visible;
              transition: all 0.23s;
          }
          .action{
              opacity: 1;
              visibility: visible;
              transition: all 0.23s;
          }
      }
  }
}
